
Figure - Bug #118256
【IOVDEV-30078】【内部】【VC1】【0095】【台架】【EE环境】【副屏】中控设置仅副驾屏息屏亮屏，副
屏游戏界面显示黑屏
2023-05-25 22:23 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-25

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230524  9点52分（ 第171次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏小窗应用打开edge浏览器，打开王者荣耀进入游戏界面

2.中控设置-显示中，点击“仅副驾屏”控制副屏息屏

3.中控设置-显示中，点击“仅副驾屏”控制副屏亮屏

【实际结果】

副屏亮屏，显示小窗应用，但王者荣耀游戏界面黑屏

【期望结果】

副屏亮屏，正常显示王者荣耀游戏界面

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

附件为副屏log

视频地址：https://ofs.human-horizons.com/#/download/index/VQ7uVCd4zcc%3D

【影响版本】：副屏：01.00.0095.c103  中控：03.02.0082.C102

【硬件版本号】：/

【是否能恢复】：可恢复

Related issues:

Related to Figure - Bug # 119026: 【AF】【PVT】【游戏模式】打开游戏，在工具... CLOSED 2023-07-11

History

#1 - 2023-05-26 15:21 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛
https://ofs.human-horizons.com/#/download/index/VQ7uVCd4zcc%3D


#2 - 2023-05-26 16:56 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

通过观察现象及分析日志，该现象出现的原因是当焦点在小窗上时，熄屏再亮屏，由于游戏没有焦点，游戏界面没有渲染刷新而显示黑屏。点击游戏界

面让游戏获取焦点后，界面恢复。

备注：客户的操作适配中，点击左上角小窗顶部靠上的位置使小窗得到焦点，是因为小窗的 Window 四周有 45px 的透明区域，该区域也属于小窗

Window 范围。

结论：

该问题需要游戏适配，系统端无法处理。

参考：

https://www.jianshu.com/p/4516aa99f82e （可直接查看总结处）

■ Next action

测试确认并同步客户。

#3 - 2023-05-30 15:11 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#4 - 2023-05-30 15:11 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#5 - 2023-05-30 15:11 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

9点52分副屏亮屏，但游戏界面还是黑屏显示.mp4 32.7 MB 2023-05-25 CDTS_TEST 王成

9点52分副屏亮屏但游戏界面还是黑屏显示.7z 371 KB 2023-05-25 CDTS_TEST 王成

9点37分首次出现副屏亮屏后但游戏界面黑屏.7z 330 KB 2023-05-25 CDTS_TEST 王成
